Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_mysql_init

## Name

librdf_storage_mysql_init --

## Synopsis

``int `librdf_storage_mysql_init`` (librdf_storage* `storage`, char * `name`, librdf_hash* `options`);`

## Arguments

`storage`

  the storage

`name`

  model name

`options`

  host, port, database, user, password.

## Description

Create connection to database. Defaults to port 3306 if not given.

## Return value

Non-zero on failure (negative values are MySQL errors).

<<< Previous | Home | Next >>>
librdf_storage_mysql_hash | Up | librdf_storage_mysql_terminate